#
# spec file for package python-pytest-isort
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-pytest-isort
Version:        0.2.0
Release:        2.1
Summary:        Plugin for pytest to perform isort checks
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/moccu/pytest-isort/
Source:         https://files.pythonhosted.org/packages/source/p/pytest-isort/pytest-isort-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module isort >= 3.9.6}
BuildRequires:  %{python_module pytest >= 2.6.4}
BuildRequires:  %{python_module pytest-cache >= 1.0}
%endif
BuildRequires:  fdupes
Requires:       python-isort >= 3.9.6
Requires:       python-pytest >= 2.6.4
Requires:       python-pytest-cache >= 1.0
BuildArch:      noarch

%python_subpackages

%description
This is a py.test plugin to check import ordering using isort.

%prep
%setup -q -n pytest-isort-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst README.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Thu May 10 2018 toddrme2178@gmail.com
- Update to 0.2.0
  * Register marker to work with pytest's strict mode
  * Add "official" support for Python 3.5 and 3.6
- Use license tag
* Tue Aug 22 2017 toddrme2178@gmail.com
- Initial version
